<?php
session_start();
$empresa=$_SESSION['empresa'] ;
$sucursal=$_SESSION['sucursal'] ;
require_once ("../conexion.php");

if (empty($_POST['ubi_nombre'])) 
{
    $errors[] = "Nombre vacío";
} 
else if (!empty($_POST['ubi_nombre']))
{
    $ubi_nombre=mb_strtoupper(limpiar($_POST['ubi_nombre']));
    $can1=mysqli_query($con,"SELECT * FROM ubicacion where ubi_nombre='$ubi_nombre' AND empresa='$empresa'") or die(mysqli_error($con)); 
    $result = mysqli_num_rows($can1);
    if($result == 0)
    {
        $sql="INSERT into ubicacion (ubi_nombre,sucursal,empresa) 
                  VALUES ('$ubi_nombre','$sucursal','$empresa')";
        $query_new_insert = mysqli_query($con,$sql);
        if ($query_new_insert)
            {
                $messages[] = "Ubicación ha sido ingresado satisfactoriamente.";
            } 
        else
            {
                $errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
            }
    }
else
    {
         $errors []= "Nombre no disponible".mysqli_error($con);
    }
}   
else 
    {
        $errors []= "Error desconocido.";
    }
        if (isset($errors))
        {
        ?>
            <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <strong>Error!</strong> 
            <?php
            foreach ($errors as $error) 
            {
                echo $error;
            }
            ?>
        </div>
        <?php
        }
        if (isset($messages))
        {
        
        ?>
        <div class="alert alert-success" role="alert">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <strong>¡Bien hecho!</strong>
            <?php
                foreach ($messages as $message) 
                {
                    echo $message;
                }
            ?>
    </div>
<?php } ?>